Package org.apache.sling.scripting.sightly.js.impl.jsapi

# Class SlyBindingsValuesProvider

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.jsapi.SlyBindingsValuesProvider

public class SlyBindingsValuesProvider extends Object
Provides the `sightly` namespace for usage in HTL & JS scripts called from Sightly

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`Q_PATH`
`static final String`
`SCR_PROP_JS_BINDING_IMPLEMENTATIONS`
`static final String`
`SLING_NS_PATH`

## Constructor Summary

Constructors
Constructor
Description
`SlyBindingsValuesProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.apache.sling.scripting.sightly.js.impl.jsapi.SlyBindingsValuesProvider.Configuration configuration)`
`protected void`
`deactivate(org.osgi.service.component.ComponentContext componentContext)`
`Map<String,String>`
`getScriptPaths()`
`void`
`initialise(org.apache.sling.api.resource.ResourceResolver resourceResolver, org.apache.sling.scripting.sightly.js.impl.JsEnvironment environment, Bindings bindings)`
`void`
`processBindings(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCR_PROP_JS_BINDING_IMPLEMENTATIONS

public static final String SCR_PROP_JS_BINDING_IMPLEMENTATIONS

See Also:
  - Constant Field Values

### SLING_NS_PATH

public static final String SLING_NS_PATH

See Also:
  - Constant Field Values

### Q_PATH

public static final String Q_PATH

See Also:
  - Constant Field Values

## Constructor Details

### SlyBindingsValuesProvider

public SlyBindingsValuesProvider()

## Method Details

### initialise

public void initialise(org.apache.sling.api.resource.ResourceResolver resourceResolver, org.apache.sling.scripting.sightly.js.impl.JsEnvironment environment, Bindings bindings)

### processBindings

public void processBindings(Bindings bindings)

### getScriptPaths

public Map<String,String> getScriptPaths()

### activate

protected void activate(org.apache.sling.scripting.sightly.js.impl.jsapi.SlyBindingsValuesProvider.Configuration configuration)

### deactivate

protected void deactivate(org.osgi.service.component.ComponentContext componentContext)